Bug 731745 - Cannot restore from trash an individual file in a deleted directory
Summary: Cannot restore from trash an individual file in a deleted directory
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 14:29 UTC by Christopher Beland
Modified: 2015-03-03 23:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:51:17 UTC


Attachments (Terms of Use)

Description Christopher Beland 2011-08-18 14:29:10 UTC
I deleted an entire directory to reset my source code checkout.  After restoring it from the repository, I realized I had deleted a critical file I had just created.  So I opened the trash, found the file, and tried to drag-and-drop it to my desktop.  I got the following error:

>>
Error while moving "recaptchaTestSuccess.php".
There was an error moving the file into /home/cbeland/Desktop.
[-] Show more details
Items in the trash may not be modified
<<

When I selected the file and clicked "Restore Selected Items" I got the error:

>>
Could not determine original location of "critical_file.php"
The item cannot be restored from trash
<<

There should be some way to restore the file to a location I specify.  In the end I restored the file by opening it from the trash and copy-and-pasting its contents.  I suppose it's also possible to copy the file from the right-click menu, but this is not intuitive and is suboptimal for large media files.  It could get someone stuck in a bad situation if there is not much room left on the drive.

nautilus-3.0.2-1.fc15.x86_64

Comment 1 Fedora End Of Life 2012-08-07 18:51:19 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.